unit UnJob042 ; { for precession matrix }
interface
  procedure ForJob042 ;
implementation
uses
  UnConTyp , { for constant MJD2000 epoch 51544.5 }
  UnForDat , { for FromDateToMJD  function }
  UnForTim , { for TransUTCtoTDT TransTDTtoTDB procedures }
  UnForPnm ; { for ClcPrecAngles ClcPrecMatr procedures }
procedure ForJob042 ;
var
  nd,nm,ny  : Integer ; { day month year }
  kh,km     : Integer ; { hour minute }
  sec       : Extended ; { second }
  tmjd      : Extended ; { moment in modified julian day }
  tdt,dt    : Extended ; { terrestrial time and correction }
  tdb       : Extended ; { barycentric dynamic time }
  dzita     : Extended ; { angles }
  teta,zet  : Extended ; { of precession }
  p         : TMatr33 ;  { type from UnConTyp }
begin
  WriteLn;
  WriteLn('  Matrix of precession');
  nd:=23;
  nm:=09;
  ny:=2003;
  kh:=10;
  km:=13;
  sec:=0.0;
  tmjd:=FromDateToMJD(nd,nm,ny,kh,km,sec); { UnForDat }
  TransUTCtoTDT(tmjd,tdt,dt);  { UnForTim with correction }
  TransTDTtoTDB(tdt,tdb);      { UnForTim }
  ClcPrecMatr(MJD2000,tdb,p); { UnForPnm  }
  WriteLn('  InPut');
  WriteLn('  Moscow decret winter time');
  WriteLn('  ',nd:10,'      day');
  WriteLn('  ',nm:10,'      month');
  WriteLn('  ',ny:10,'      year');
  WriteLn('  ',kh:10,'      hour');
  WriteLn('  ',km:10,'      minute');
  WriteLn('  ',sec:14:3,'  second');
  WriteLn('  OutPut');
  WriteLn('  UTC moment in modified julian day');
  WriteLn('  ',tmjd:19:8,'  day with part in UTC scale');
  WriteLn('   TT moment in modified julian day');
  WriteLn('  ',tdt:19:8,'  day with part in  TT scale');
  WriteLn('  ',86400*dt:19:5,'  correction (TT-UTC) in second');
  WriteLn('  TDB moment in modified julian day');
  WriteLn('  ',tdb:19:8,'  day with part in TDB scale');
  WriteLn('  ',86400*(tdb-tdt):19:5,'  correction (TDB-TT) in second');
  WriteLn('  matrix of precession');
  WriteLn('   ','1':20,'2':20,'3':20);
  WriteLn('  1',p[1][1]:20:15,p[1][2]:20:15,p[1][3]:20:15);
  WriteLn('  2',p[2][1]:20:15,p[2][2]:20:15,p[2][3]:20:15);
  WriteLn('  3',p[3][1]:20:15,p[3][2]:20:15,p[3][3]:20:15);
end;
end.