unit UnJob054 ; { Greenwich true sidereal time }
interface
  procedure ForJob054 ;
implementation
uses
  UnConTyp , { for const RadSec }
  UnForDat , { for FromDateToMJD function }
  UnForNut , { for ToGetEpsMean function ClcNut procedure }
  UnForTim , { for TransUTCtoTDT procedure }
  UnForSit ; { for ToGetGASTime  function }
procedure ForJob054 ;
var
  nd,nm,ny  : Integer ; { day month year }
  kh,km     : Integer ; { hour minute }
  sec       : Extended ; { second }
  delut,dt  : Extended ; { UT1-UTC in second of time }
  utc,gmst  : Extended ; { UTC moment in modified julian day }
  ep,dp,de  : Extended ; { nutation parameters }
  tdt,gast  : Extended ; { Greenwich true sidereal time }
begin
  WriteLn;
  WriteLn('  Greenwich true siderel time');
  nd:=7;
  nm:=12;
  ny:=1999;
  kh:=5;
  km:=45;
  sec:=0.0;
  delut:=0.38415; { UT1-UTC in second of time }
  utc:=FromDateToMJD(nd,nm,ny,kh,km,sec); { UnForDat }
  gmst:=ToGetGMSTime(utc,delut);
  TransUTCtoTDT(utc,tdt,dt); { from UnForTim for terrestrial time }
  ep:=ToGetEpsMean(tdt); { mean obliquity }
  ClcNut(tdt,dp,de);     { nutation parameters }
  gast:=ToGetGASTime(utc,delut);
  WriteLn('  InPut');
  WriteLn('  Moscow decret winter time');
  WriteLn('  ',nd:10,'      day');
  WriteLn('  ',nm:10,'      month');
  WriteLn('  ',ny:10,'      year');
  WriteLn('  ',kh:10,'      hour');
  WriteLn('  ',km:10,'      minute');
  WriteLn('  ',sec:14:3,'  second');
  WriteLn('  universal time correction UT1-UTC');
  WriteLn('  ',delut:14:3,'  second of time');
  WriteLn('  OutPut');
  WriteLn('  moment in modified julian day');
  WriteLn('  ',utc:19:8,'  day with part in UTC scale');
  WriteLn('  moment in terrestrial time scale');
  WriteLn('  ',tdt:19:8,'  day with part in TT scale');
  WriteLn('  ',RadSec*ep:19:3,'  obliquity in second of arc');
  WriteLn('  ',RadSec*dp:19:3,'  d(psi)    in second of arc');
  WriteLn('  Greenwich mean sidereal time');
  WriteLn('  ',gmst:19:12,'  in radian');
  WriteLn('  Greenwich true sidereal time');
  WriteLn('  ',gast:19:12,'  in radian');
end;
end.